Αναζήτηση:

Type: Posts; Χρήστης: Hwoarang; Λέξη(εις) Κλειδιά:

Σελ. 1 από 196 1 2 3 4

Αναζήτηση: Η αναζήτηση ολοκληρώθηκε σε 0,26 δευτερόλεπτα

  1. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Καλως η κακως το stable ηταν παντα λιγο ευθραυστο. Πιστευω οτι η κατασταση εχει καπως βελτιωθει τα τελευταια χρονια αλλα οπως και να εχει το stable δεν ειναι του ιδιου επιπεδου σε σχεση με αυτο που παιρνεις απο τα openSUSE Leap, CentOS κτλ. Θελει λιγη προσοχη
  2. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Δεν το γνωριζα και το εβαλα προχθες να το δοκιμασω. Ο σοφος compiler αποφασισε πως η 4 core / 8 thread CPU μου χρειαζεται τουλαχιστον -j100 —δεν μετρησα τις processes.
    Οποτε ξαφνικα το emerge εφαγε πανω απο 11GB RAM και ο kernel εβγαλε εξω το OOM killer του. Μονο που ο τροπος που λειτουργει αυτο δεν μπορει να ανιχνευσει εκατονταδες μικρες processes, οποτε με συνοπτικες διαδικασιες δολοφονησε πρωτα τον Chrome και αφου δεν ειδε προκοπη εριξε και μια στον X και εμεινα μονος στο terminal οπου εκανα killall cc1plus και επανεφερα το συστημα. :lol:

    Παντως το -j το εχω στο 3 εδω και καιρο. Το εκανα κυριως για να μην ζεσταινετε υπερβολικα το laptop το καλοκαιρι. Αφηνει ομως το συστημα πιο αποκρισιμο και τα emerge εχουν μικρη διαφορα στην διαρκεια, συνηθως ειναι μερικα δευτερολεπτα πιο αργο μονο.

    Δεν νομιζω οτι το '-j' σκετο σημαινει ''ασε το λειτουργικο να διαλεξει' :nono:. Αυτο που κανει ειναι να δημιουργησει οσο περισσοτερα threads μπορει χωρις κανεναν ελεγχο. Πχ το manpage λεει

    If the -j option is given without an argument, make will not limit the number of jobs that can run simultaneously.
  3. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Δεν χρησιμοποιω overlays αλλα ισως αυτο βοηθαει

    https://wiki.gentoo.org/wiki/Layman

    Πιστευω οτι μια γρηγορη λυση ειναι να βγαλεις το

    source /var/lib/layman/make.conf

    απο το make.conf
  4. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Μηπως ειναι κανενα overlay που εχει το προβλημα; Για παραδειγμα εγω δεν το βλεπω στα emerge μου. Δεν απενεργοποιεις λιγο τα overlay που εχεις (η και το δικο σου αν εχεις) να δεις ποιο σου δημιουργει το προβλημα; Πιστευω οτι καποιο overlay τα εχει κανει μανταρα στα eclasses του
  5. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Λογικα ειναι καποιο προβλημα με καποια απο τις eclasses. Δοκιμασε να κανεις ενα sync παλι
  6. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Η αληθεια ειναι οτι το εχασα και εγω λιγο με τα δυο slots του ncurses. Το συστημα μου φαινεται ψηλοδιαλυμενο χωρις το slot 0 οποτε θα κρατησω και τα δυο προς το παρον
  7. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Οχι. Δεν μπορεις να εχεις τετοια symlink σε ebuild. Το προβλημα ειναι το binary πακετο που χρησιμοποιεις το οποιο εγινε compile σε συστημα που ειχε το /lib64/ld-lsb-x86-64.so.3 και γι αυτο ζηταει αυτην την βιβλιοθηκη. Δεν μπορουμε να βαζουμε διαφορα hacks σε διαφορα ebuilds για να ικανοποιησουμε τις απαιτησεις των ΧΧΧΧ binary εφαρμογων που υπαρχουν εκει εξω.
  8. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Πρεπει να ειναι οκ τωρα αλλα μονο σε lxc εχω stable lxde να το δοκιμασω
  9. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Υποθετω θα μπορεις. Αλλιως με ενα vm ισως ειναι ευκολοτερο. Περιεργο που δεν το βρισκει. Αν εχεις ορεξη για ψαξιμο μπορεις να δοκιμασεις να το τρεξεις με strace να δεις ακριβως τι ψαχνει και που. Ισως απλα να σου λειπει ενα symlink για να το κοροιδεψεις
  10. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Το lsb-release θες
  11. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Δυστυχως δεν νομιζω οτι μπορεις να το λυσεις σωστα χωρις να κανεις recompile. Εκτος βεβαια και αν παρεις ενα hex εργαλειο και αλλαξεις τον interpreter. Ο loader (το ld-*) ειναι κομματι της glibc. Οποτε αυτο το ELF εχει γινει compile με παλαιοτερη glibc. Το symlink *ισως* δουλεψει αν υποθεσουμε οτι η παλια glibc και η καινουργια που εχεις στο συστημα σου ειναι binary compatible. Δηλαδη ολα στα struct, συναρτησεις κτλ, παιρνουν τα ιδια arguments (του ιδιου τυπου και αριθμου). Η glibc δεν εγγυαται binary compatibility μεταξυ εκδοσεων οποτε προς το παρον εισαι απλα τυχερος :)
  12. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    /lib32/ld-2.19.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, BuildID=c1da5f42a0df8dd3c397956e164a61b1c3a37472, stripped

    Καλα φαινονται και αυτα. Κατι αλλο που μπορεις να δοκιμασεις ειναι να το τρεξεις με ltrace η strace. Πχ

    strace /usr/local/foo
    lstrace /usr/local/foo

    Κανε μετα paste εδω να δουμε τι ακριβως παιζει.
  13. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Υπαρχει:
    xxxxx ~ # l /lib/ld-linux.so.2
    lrwxrwxrwx 1 root root 22 Nov 17 15:24 /lib/ld-linux.so.2 -> ../lib32/ld-linux.so.2*
    xxxxx ~ # l /lib32/ld-linux.so.2
    lrwxrwxrwx 1 root root 10 Nov 17 15:24 /lib32/ld-linux.so.2 -> ld-2.19.so*
    xxxxx ~ # l /lib32/ld-2.19.so
    -rwxr-xr-x 1 root root 134156 Nov 17 15:23 /lib32/ld-2.19.so*
    xxxxx ~ #


    - - - Updated - - -

    Αυτο σου λεει τιποτα;
    xxxxx ~ # ld /lib/ld-linux.so.2
    /lib32/ld-2.19.so: error adding symbols: File in wrong format
    xxxxx ~ #


    Γιατι εδωσες ld?

    Δωσε μου ενα

    file /lib32/ld-2.19.so
  14. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    .interp PROGBITS 08048114 000114 000013 00 A 0 0 1

    01 .interp
    02 .interp .note.ABI-tag .hash .dynsym .dynstr .gnu.version .gnu.version_r .rel.dyn .rel.plt .init .plt .text .fini .rodata .eh_frame

    Καταλαβαινεις το παραμικρο εδω μεσα; :oops:

    Υπαρχει το /lib/ld-linux.so.2 στο συστημα σου; Συνηθως οταν πας να εκτελεσεις ενα ELF και σου λεει 'file not found", 90% των περιπτωσεων λειπει ο interpter του διοτι πιθανως να εγινε compile & link σε ενα συστημα με διαφορετικο interpreter. Οταν εσυ δινεις ./foo, τοτε το εκτελεσιμο δεν ξεκιναει απευθειας, αλλα αυτο που ξεκιναει ειναι ο interpreter (aka loader) ο οποιος και σεταρει το virtual address space για το εκτελεσιμο σου πρωτου το φορτωσει στην μνημη και το εκτελεσει.

    - - - Updated - - -

    Ναι, αλλα ειναι ηδη εγκατεστημενο!

    # emerge -av gcc:4.8::gentoo

    These are the packages that would be merged, in order:

    Calculating dependencies... done!
    sys-devel/gcc-4.8.3:4.8 USE="cxx fortran nls nptl openmp sanitize (-altivec) -awt -doc (-fixed-point) -gcj -go -graphite (-hardened) (-libssp) -mudflap (-multilib) (-multislot) -nopie -nossp -objc -objc++ -objc-gc -regression-test -vanilla" 0 kB

    Installed versions:  4.8.3(4.8)^s(03:34:35 PM 11/07/2014)

    gcc-config -l

    Σιγουρεψου οτι ο 4.8 ειναι ενεργοποιημενος.
  15. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Οχι, ειναι σιγουρα σωστο, και υποτιθεται οτι ειναι εκδοση που θα πρεπει να παιζει σε 64bit. Το ξερω σιγουρα γιατι προηγουμενη εκδοση του παιζει κανονικα... Θα στειλω mail στο support, ευχαριστω!

    Δωσε μου λιγο το

    readelf -a ./lmgrd | grep interp
  16. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Χμ, εχω το multilib use flag ενεργο αλλα το ABI_X86 δεν το εχω πειραξει, για να το δω ετρεξα emerge --info.
    Καποια πακετα οπως το wine το πειραζουν μονα τους οταν χρειαζεται. :what:

    Νομιζω πρεπει να το πειραξεις αν θελεις να σταματησεις να χρησιμοποιεις τα emul-* πακετα και να περασεις στα βελτιωμενα multilib πακετα. Θα εχεις προσεξει αρκετες φορες (ειδικα στα core και x11 πακετα) εμφανιζει ενα νεο use expand ABI_X86. Σε εσενα που το εχεις
    = 64 θα βαζει μονο 64-bit βιβλιοθηκες ενω σε εμενα βαζει και τις 32-bit. Σιγα σιγα τα emul-* θα εξαφανιστουν και για multilib θα πρεπει να εχεις =64 32.

    Κοιτα εδω: http://unix.stackexchange.com/questions/89678/using-abi-x86-in-gentoo
  17. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    64 :p
    ABI_X86="64"

    Αλλα δεν χρειαζεται να το ρυθμισεις, ειναι το default.


    Χμμ σιγουρα;

    Εγω το εχω
    ABI_X86="64 32"
    για multilib
  18. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Το προβλημα ειναι (απο οσο ξερω) οτι τα split πακετα του enlightenment (eet, eio, efreet κτλ) ενωθηκαν σε ενα πακετο 'efl'. Πρεπει να τα βγαλεις ολα με το χερι (emerge -C) και μετα να βαλεις το νεο efl.

    Γενικα το μηνυμα ειναι ξεκαθαρο, με την εννοια οτι σου λεει πχ

    dev-libs/eet ("dev-libs/eet" is blocking dev-libs/efl-1.8.5)

    Αυτο σημαινει οτι τα δυο πακετα δεν μπορουν να ειναι ταυτοχρονα εγκατεστημενα (blocks)
  19. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    The following REQUIRED_USE flag constraints are unsatisfied:
    X? ( !xcb )

    Αυτο σημαινει οτι αν εχεις το 'X' flag ενεργοποημενο, τοτε πρεπει να απενεργοποιησεις το xcb (επειδη εχει ! στην αρχη)
  20. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Τυχαινει δυστυχως. Δεν μπορουμε να συγκριθουμε σε ολους τους τομεις με debian/fedora που εχουν καμια 2000 developers και αρκετοι απο αυτους πληρωνονται. Εμεις ειμαστε με το ζορι 190 active ( ασε τι λεει ο πινακας στο gentoo.org) και απο
    οσο ξερω κανενας δεν πληρωνεται απο τον εργοδοτη του για να το κανει.
    Ψηνεσαι να γινεις dev; :)
    Το βλεπω και εγω, μετα την δουλεια, δεν υπαρχει ορεξη και δυναμη ουτε ενα patchaki να κανεις apply. Πολλες φορες περνανε μερες που δεν βλεπω τα email. Και ειδικα τα databases πακετα (τουλαχιστον mysql και mariadb) τυπαδες
    που απλα ειναι πνιγμενοι :/
    Μην νομιζεις οτι με το να γινουν stable αλλαζει κατι... Ειδικα στα DB πακετα μην εχεις την εντυπωση οτι ο arch tester θα κατσει να στησει db να δει αν παιζει κτλ. Συνηθως ειναι "build -> stable"

    - - - Updated - - -

    Μολις επεσα τυχαια στο παρακατω. Εξαιρετικη δουλεια! Η επιλογη πακετου ειναι τυχαια, για να δειτε ποσο χρησιμο ειναι σαν view.

    http://gentoobrowse.randomdan.homeip.net/package/dev-libs/geoip

    Επιπλεον, λογω bootstrap, δουλευει καλα και σε mobile.

    Τρομερο. Κριμα που δεν μας το εχει αναφερει ποτε και το τρεχει μονος του. Ευκολα θα μπορουσαμε να το βαλουμε σε ενα δικο μας μηχανακι για περισσοτερη αξιοπιστια ( *γκουχ* gentoo-wiki *γκουχ* )
  21. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Δυστυχως εγω εχω προβληματα με το enlightenment + nouveau. Το kernel log γεμιζει με nouveau errors και μετα απο λιγο κρεμαει το συστημα :( Γυρισα παλι σε openbox για να αποφυγω να βαλω nvidia-drivers
  22. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Φτου φτου φτου
  23. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Βασικα αυτο που κανω οταν θελω να ξεφορτωθω ενα ολοκληρω DE ειναι

    emerge -C $(qlist -CIL gnome) && emerge -p --depclean

    - - - Updated - - -

    @GoofyX
    Ε μα ετσι ομως γινεται κολαση. Ας το βγαλει ολοκληρο το gnome, να περασει το e17 μετα και μετα να καθαρισει οτι εμεινε. Τωρα κινδυνευει να εχει αφησει κατι εξω απο το package.mask και το portage τα μπλεκει καθως τα μισα ειναι masked και τα αλλα οχι
  24. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Δεν καταλαβαινω το package.mask. Γιατι εχεις κανει mask το νεο gnome αφου θες να πας σε e17;
  25. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Δεν εχω παρακολουθησει τι εχεις κανει ως τωρα αλλα μου φαινεται εμενα οτι εχεις ενα mixed system (αλλα stable αλλα οχι) η απλα το world sou εχει προβλημα (η απλα καποια entries στο /etc/portage/package.{use,mask,keywords} ειναι οτι να ναι.

    Δωσε emerge -uDNavt world

    Επισης, αν δεν μαθεις να τα λυνεις μονος σου αυτα τα προβληματα τοτε δεν θα αντεξεις με gentoo για πολυ καιρο ακομα
  26. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Μηπως εχεις καμια σεταρει καμια env variable που την χρησιμοποιει το build system και τα κανει χαλια; Οπως και να χει, πιστευω πρεπει να ανοιξεις bug. Δεν ειναι φυσιολογικο
  27. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    :)

    http://blogs.gentoo.org/news/2013/11/01/gentoo-monthly-newsletter-31-october-2013/
  28. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Να ρωτησω κατι που μαλλον δεν γινεται αλλα θα ηθελα πολυ να συμβαινει. Μπορουμε να ενεργοποιησουμε την USE FLAG aqua σε gentoo? Ξερω οτι ειναι για intergration με MacOS
    αλλα αν δεν γινεται τοτε γιατι ειναι εκει και απενεργοποιημενη? :hmm:

    Οχι δεν μπορεις. Αν δεις ειναι μεσα σε ( ) που σημαινει οτι δεν μπορει να γινει enable στο profile σου. Ειναι μονο για prefixed εγκαταστασεις.
  29. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Τι εγινε βρε παιδια με το KDE; Το stable εμεινε στην 4.10.5, ενω σημερα βλεπω εχει ηδη βγει 4.11.2... Τι γινεται με εμας, τους φτωχους (πλην τιμιους) κατοχους stable; :)

    Ε για να κανεις stable το KDE ειναι ολοκληρη φασαρια :p

    - - - Updated - - -

    Λες να ειναι αυτος ο λογος που δεν μου εκανε boot ο νεος κερνελος;

    Οχι δεν εχει σχεση. Η υποστυριξη υπαρχει ακομα
  30. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Ειδα χθες τυχαια μια ανακοινωση του Debian για ενα update του microcode της CPU απο την Intel, το οποιο λυνει κενα ασφαλειας για ολους τους i επεξεργαστες, καθως και τους xeon.
    Στο Gentoo δεν ειναι διαθεσιμο ακομη —λογικα συντομα— αλλα μην ξεχναμε να βαζουμε το κωδικα για το update του microcode να τρεχει κατα το boot:




    $ emerge microcode-ctl
    $ eselect rc add microcode_ctl boot
    Μολις εκανα commit την τελευταια εκδοση που βγηκε 6 Σεπτεμβρη. Ελπιζω να δουλευει γιατι δεν εχω intel cpu να το δοκιμασω :)
  31. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Bug με μπροστα :)
  32. Μηνύματα
    3.129
    Εμφανίσεις
    486.570

    Απάντηση: OMNIVOICE απόψεις

    Στην κατασταση κλησεων βλεπω αυτο οταν προσπαθω να καλεσω διαφορα ελληνικα νουμερα

    CODEC NEGOTIATION ERROR
    INCOMPATIBLE DESTINATION

    Ειναι κανενα τριημερο που το κανει αυτο. Δεν πειραξα τιποτα στο sipura η στις ρυθμισεις του αριθμου στο site της omnivoice. Εχει κανενας αλλος αυτο το προβλημα;
  33. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Δωσε μου λιγες παραπανω λεπτομεριες γιατι εχω παρομοιο setup αλλα δεν εχω κανει update εδω και εβδομαδες :)
  34. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Ναι φασαρια μου φανηκε και εμενα...
  35. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    hwoarang@helix ~ $ eix simon
    * app-accessibility/simon
    Available versions: (~)0.4.0 {kdepim libsamplerate nls opencv sphinx}
    Homepage: http://simon-listens.org/
    Description: Open-source speech recognition program for replacing mouse and keyboard


    Temping. Ας το βαλουμε να δουμε
  36. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    emerge -vpuDN world

    These are the packages that would be merged, in order:

    Calculating dependencies... done!
    media-libs/libpng-1.5.15 USE="apng (-neon) -static-libs" 712 kB
    virtual/udev-197-r3 USE="gudev hwdb introspection keymap kmod (-selinux) -static-libs" 0 kB
    dev-python/pyopenssl-0.13-r1 USE="-doc" PYTHON_TARGETS="python2_7%* python3_2%* (-pypy1_9) (-pypy2_0) -python2_5% -python2_6% -python3_1% (-python3_3)" 245 kB
    sys-kernel/gentoo-sources-3.8.8:3.8.8 USE="symlink -build -deblob" 244 kB
    media-libs/fontconfig-2.9.0:1.0 USE="-doc -static-libs" ABI_X86="(-32%) (-64%*) (-x32%)" 0 kB
    sys-apps/sandbox-2.5 USE="(multilib)" 0 kB
    kde-misc/kde-gtk-config-2.2-r1:4 USE="(-aqua) -debug" LINGUAS="el -bs% -ca -cs -da -de -es -et -eu -fi% -fr -ga -gl -hu -id -it -ja -kk% -km -lt -mr% -nb% -nds -nl -pl -pt -pt_BR -ru -sk% -sl% -sv -uk -zh_CN -zh_TW%" 90 kB
    app-portage/eix-0.28.4 USE="dep nls optimization sqlite -clang -debug -doc -security -strong-optimization -strong-security -swap-remote -tools -zsh-completion" LINGUAS="-de -ru" 526 kB
    kde-base/kopete-4.10.2:4 USE="addbookmarks autoreplace contactnotes handbook highlight history jingle msn nowlistening oscar pipes privacy ssl statistics texteffect translator urlpicpreview v4l xmpp (-aqua) -debug -gadu -groupwise -latex -meanwhile -otr -skype -sms -testbed -webpresence -winpopup -yahoo -zeroconf (-qq%)" 0 kB
    net-misc/teamviewer-8.0.17147-r2:8 USE="(-system-wine)" 0 kB
    x11-base/xorg-server-1.14.1:0/1.14.1 USE="nptl suid udev xorg -dmx -doc -ipv6 -kdrive -minimal (-selinux) -static-libs -tslib -xnest -xvfb" 5,381 kB
    media-libs/mesa-9.1.1 USE="classic egl gallium llvm nptl shared-glapi xa xorg xvmc -bindist -debug -gbm -gles1 -gles2 -openvg -osmesa -pax_kernel -pic (-r600-llvm-compiler) (-selinux) -vdpau -wayland" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" VIDEO_CARDS="r600 radeon -i915 -i965 -intel -nouveau -r100 -r200 -r300 (-radeonsi) -vmware" 0 kB
    x11-drivers/xf86-input-synaptics-1.6.3 0 kB
    x11-drivers/xf86-input-keyboard-1.7.0 0 kB
    x11-drivers/xf86-input-mouse-1.9.0 0 kB
    x11-drivers/xf86-input-evdev-2.8.0 0 kB
    x11-drivers/xf86-video-ati-7.1.0 USE="udev -glamor" 0 kB

    Total: 17 packages (7 upgrades, 2 downgrades, 1 in new slot, 7 reinstalls), Size of downloads: 7,195 kB

    WARNING: One or more updates have been skipped due to a dependency conflict:

    media-libs/fontconfig:1.0

    (media-libs/fontconfig-2.10.2::gentoo, ebuild scheduled for merge) conflicts with
    media-libs/fontconfig required by (x11-libs/libXft-2.3.1-r1::gentoo, installed)


    WTF? Τι θελει το fontconfig δηλαδη; Να του βαλω ABI_X86="32";

    Βασικα, το ABI_X86 κατι νεο πρεπει να ειναι. Τι τιμη πρεπει να εχει για 64-bit συστημα; Λογικα 64, σωστα;

    ABI_X86="64" αλλα τωρα μπορει να παρει και 32 64 για native multilib (νομιζω). Ολα αυτα γινονται για να μην εχεις πια emul-* πακετα αλλα για να κανεις native build 32-bit libs
  37. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Ενταξει, λαθη γινονται οπως και σε ολες τις διανομες. Σιγουρα ειναι κριμα να φευγει ενας αλλα ετσι ειναι το foss. Αλλοι ερχονται αλλοι φευγουν και ετσι προχωραμε μπροστα. Αν θυμαμαι καλα ο μεσος ορος παραμονης ενος Gentoo dev ειναι τα 2.5 χρονια οποτε συχνες αποχωρησεις και "προσληψεις" ειναι αναμενομενες.
  38. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Δεν πειραζει. Δεν θα παθουμε κατι :)
  39. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    @Hwoarang, τελικα ο cardoe παραιτηθηκε απο τη συντηρηση των nvidia drivers;

    Yep. Το πακετο ειχε ετσι κι αλλιως 3 maintainers οποτε don't worry δεν θα μεινει παρατημενο;)
  40. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Τελικα πιστευω οτι ο cardoe εχει δικιο. Εσεις πως το βλεπετε; Hwoarang;

    - - - Updated - - -

    Μολις το βγαλανε εκτος δημοσιας προσβασης (το bug). Hwoarang, μπορεις να δεις τι γινεται; :)

    - - - Updated - - -


    Εχει δικιο ο Cardoe. Αν το binary πακετο λεει οτι δεν παιζει με τον Χ kernel (και οντως δεν γινεται build) παει να πει οτι κατι αλλαξε το API/ABI και υπαρχει κινδυνος για runtime failures. Αυτα παθαινεις οταν εχεις binary πακετακια και θελεις και τα τελευταια OSS παραλληλα.
    Εγω το εκανα restrict το bug μεχρι να ηρεμησουν λιγο.
  41. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Το bugs ειναι στην Qt. Το -Os ειναι απλα ενα workaround που ισως παιξει ισως οχι αναλογα τον compiler, τα flags κτλ. Δεν υπαρχει κατι να βγαλουμε ακρη εδω. Περιμενουμε τους upstream Qt devs να το φτιαξουν να τελειωνουμε
  42. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Ντεν εχω σχεση με kde εγω :p:p

    - - - Updated - - -

    Εχω το πακετο dev-python/pyx και ενω δουλευει κανονικα σχεδον σε ολα, για μια λειτουργικοτητα του απαιτει το συστημα να εχει εγκατεστημενη latex. Χωρις latex, κρασαρει το προγραμμα. Φανταζομαι αυτο ειναι dependency που πρεπει να φτιαχτει, καθως βαζοντας το app-text/texlive ολα δουλευουν ρολοι. Η ερωτηση ειναι, ανοιγω bug; Αν ναι, τι λεω; Δεν ξερω ποιο ειναι το minimum requirement για να δουλεψει το pyx, αλλα ξερω πως να αναπαραγω το προβλημα. Ιδεες;

    Ναι πιστευω οτι πρεπει να ανοιξεις bug και να πεις αυτα που ειπες εδω αλλα στα αγγλικα :)

    - - - Updated - - -

    Οχι, δεν παιζει. Το plasma-desktop ειναι που κρεμαει.

    Ανασταση! Εβαλα με το χερι το patch αυτο και επαιξε μια χαρα.


    Μοιαζει με αυτο το bug https://bugs.gentoo.org/show_bug.cgi?id=450818 που περιμενουμε να γινει δεκτο το patch στο Qt upstream repo
  43. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Δεν αρκει να αλλαξεις profile. Πρεπει να κανεις emerge παλι το binutils (ισως και την glibc) νομιζω
  44. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Orphan files; :p

    Σοβαρα, δεν μπαινει πλεον ουτε στο τελευταιο stable. Ο λογος που εχει μεινει στο συστημα σου, ειναι μαλλον επειδη το προλαβες πριν τα αφαιρεσουν και ειχες προτεινει (φαινεται στο changelog) τα συγκεκριμενα αρχεια να μπαινουν με CONFIG_PROTECT.


    $ equery f openvpn
    * Searching for openvpn ...
    * Contents of net-misc/openvpn-2.3.0:
    /etc
    /etc/conf.d
    /etc/conf.d/openvpn
    /etc/init.d
    /etc/init.d/openvpn
    /etc/openvpn
    /etc/openvpn/.keep_net-misc_openvpn-0
    /etc/openvpn/down.sh
    /etc/openvpn/up.sh
    /usr
    /usr/include
    /usr/include/openvpn-plugin.h
    /usr/lib64
    /usr/lib64/openvpn
    /usr/lib64/openvpn/openvpn-plugin-auth-pam.so
    /usr/sbin
    /usr/sbin/openvpn
    /usr/share
    /usr/share/doc
    /usr/share/doc/openvpn-2.3.0
    /usr/share/doc/openvpn-2.3.0/AUTHORS.bz2
    /usr/share/doc/openvpn-2.3.0/COPYING.bz2
    /usr/share/doc/openvpn-2.3.0/COPYRIGHT.GPL.bz2
    /usr/share/doc/openvpn-2.3.0/ChangeLog.bz2
    /usr/share/doc/openvpn-2.3.0/PORTS.bz2
    /usr/share/doc/openvpn-2.3.0/README.IPv6.bz2
    /usr/share/doc/openvpn-2.3.0/README.auth-pam.bz2
    /usr/share/doc/openvpn-2.3.0/README.bz2
    /usr/share/doc/openvpn-2.3.0/README.polarssl.bz2
    /usr/share/doc/openvpn-2.3.0/management-notes.txt.bz2
    /usr/share/man
    /usr/share/man/man8
    /usr/share/man/man8/openvpn.8.bz2

    Δεν ειναι orphaned σε εμενα.
    hwoarang@blade-vm ~ $ qfile /usr/share/openvpn/easy-rsa/clean-all
    net-misc/openvpn (/usr/share/openvpn/easy-rsa/clean-all)

    Δεν μιλαμε για το live ebuild ετσι;

    Αλλα εχεις δικιο, σε καινουργια εγκατασταση δεν μπαινουν...

    Βρηκα και αυτο το bug.

    https://bugs.gentoo.org/show_bug.cgi?id=409579

    Κατσε να κανω κανενα ping η να παρω το πακετο εγω
  45. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Εχει στησει κανεις openvpn σε Gentoo προσφατα; Το openvpn παντα εγκαθιστουσε καποια scripts για να φτιαχνεις ευκολα certificates και κλειδια. Στο Gentoo ομως αυτα τα scripts δεν εγκαθιστανται. :what:

    - - - Updated - - -

    Λυθηκε το προβλημα. Το easy-rsa εχει γινει ξεχωριστο πακετο στο openvpn project. Στο Gentoo δεν το εχουμε ακομη στο portage (μικρο το κακο) αλλα δεν μας το λεει κανεις (μεγαλο το κακο).

    Βασικα το easy-rsa δεν χρειαζεται καν compile καθως προκειται για bash scripts και χρησιμοποιειται οταν στηνεις το openvpn server.

    Επομενως αρκει να κανεις ενα:
    $ git clone https://github.com/OpenVPN/easy-rsa.git

    Και να δουλεψεις εκει μεσα για να φτιαξεις τα κλειδια σου. Αυτο ομως αν το γνωριζεις. Αν δεν το γνωριζεις, ψαχνεις μια ωρα για το που ειναι το easy-rsa. :angryr: :p
    Θα επρεπε να μπει ενα notice στο ebuild.

    Τι εννοεις; Το easy-rsa ερχεται μαζι με το openvpn απο παντα

    hwoarang@blade-vm ~ $ ls /usr/share/openvpn/easy-rsa/
    README build-key-pkcs12 list-crl sign-req
    build-ca build-key-server openssl-0.9.6.cnf vars
    build-dh build-req openssl-0.9.8.cnf whichopensslcnf
    build-inter build-req-pass openssl-1.0.0.cnf
    build-key clean-all pkitool
    build-key-pass inherit-inter revoke-full
  46. Διαφορετικο external range / internal range στο virtual servers για το USR 9113

    Καλησπερα;

    Εχω το εξης σεναριο. Εχω ενα service που τρεχει εσωτερικα στην πορτα 8889. Θελω ομως οι clients απο το internet να συνδεονται στην 9999. Αν εχω καταλαβει σωστα, θα πρεπει να εχω το παρακατω στο virtual servers

    Server Name External Port Start External Port End Protocol Internal Port Start Internal Port End Server IP Address Remote Host Remove
    foobar 8889 8889 TCP 9999 9999 192.168.0.5

    Το προβλημα μου ειναι στο Internal Port End πεδιο. Αυτο δεν μπορω να το κανω edit (το πεδιο γενικα δεν μπορεις να το πειραξεις, ειναι greyed out) και εχει παντα την τιμη που εχει το External Port End. Μπορειτε να μου πειτε πως μπορω να κανω αυτο που θελω;

    Ευχαριστω

    - - - Updated - - -

    Οπως φαινεται και εδω

    http://www.usr.com/support/9113/9113-ug/security_virtualserv.html

    Το πεδιο αυτο ειναι παντα γκρι
  47. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Καλο θα ηταν ναι
  48. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Ανοιξες bug; Αλλιως δοκιμασε να βαλεις το media-libs/glu
  49. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Οκ τα εκανα reassign σε αυτους που πρεπει. Για να δουμε :cool:
  50. Μηνύματα
    6.100
    Εμφανίσεις
    428.097

    Απάντηση: Το νήμα του Gentoo, version 1.0

    Δεν καταλαβα τιποτα ;p

    Πες μου τι πρεπει να γινει και θα το κανω:p
Εμφάνιση 1-50 από 9755
Σελ. 1 από 196 1 2 3 4